<bugID>559748<Summary>Create an API for injecting commands and code libraries into the Console input and  JS Workspaces</Summary><Description>A simple API to inject user and fx-team devised commands and code libraries into the Console's input box and JS Workspaces.

The API will allow for persistence of these libs and commands much like the way ubiquity works.</Description></bugID>